UPDATE, AUG. 20:

The pre-evacuation warning in place for the Niarada Fire has been lifted and residents are allowed to bring livestock back home.

All pre-evacuation warnings for Elmo and Big Arm have been lifted and operations are switching from active suppression to repairing the impacts of the efforts used to stop the fires which once threatened nearly 400 homes in the Elmo and Big Arm area, according to the CSKT Division of Fire.

The Niarada Fire is reportedly getting closer to containment, and that the Mill Pocket is 100% contained.

UPDATE, AUG. 19:

A community meeting with updates on the Big Knife Fire is being held at the Arlee Community Center at 34086 Pow Wow Rd. on Monday, Aug. 21 at 7:00 pm.

Big Knife Fire - 7,152 acres, 7% contained

Fire activity on the Big Knife Fire was milder than predicted.

On the north edge of the fire, along S. Canal Road crews are continuing to mitigate hazards by removing snags inside the fire perimeter at least a tree length from the line.

Crews patrolling the area observed the fire backing down into the bottom of the Gold Creek drainage.

On the south end of the fire in the Agency Creek drainage, crews are continuing to patrol and monitor fire activity.

On the east side of the fire near Jocko Lookout, crews will continue monitoring the pumps and sprinkler systems and monitoring the fire growth in the primitive area.

Niarada - 20,365 acres, 90% contained

Crews were fighting against high winds, with the eastern portion of the Niarada Fire closest to elmo seeing the bulk of the effort as crews worked to cool lingering heat source utilizing some of the four miles of hose lays that have been installed in the area. These efforts will be ongoing for the next several days.

Mill Pocket– 1,869 acres, 95% contained

Crews on the Mill Pocket Fire are working on suppression repair and minimal mop up.

UPDATE, AUG. 18 AT 3:37 PM:

Due to fire conditions near the East Fork Fire, the Flathead County Sheriff Brian Heino has issued a mandatory evacuation for residents and visitors in the following areas:

North of mile marker 142 on Highway 93 to mile marker 157.9 -- Lincoln/Flathead County line

Residents of Good Creek Road, and those who access Good Creek west to the Lincoln County line

All pre-evacuation notices issued Aug. 17 are still in effect including in Olney.

UPDATE Aug. 18, 9:34 a.m.

The Lincoln County Emergency Management Agency (LCEMA) is alerting power service through the Lincoln Electric Cooperative (LEC) may be affected by the East Fork Fire.

The following is a Facebook post by LCEMA:

Alert: Evacuation warning notices have been issued by Lincoln County Sheriff's Office to residents in the Striker area of Lincoln County that may be impacted by the East Fork Fire.

Additionally, LCEMA has been made aware of changing fire conditions that could affect the Northeast area of Lincoln County with power service through Lincoln Electric Cooperative, Inc. (LEC).

Informational: The USFS Incident Management Team on the North Fork fire communicated that they have established an advanced action point for the East Fork Fire. If fire activity reaches that advanced action point, LEC and Bonneville Power Administration (BPA) will be placed on standby. At that time, LCEMA will initiate a CodeRED notification to all residents in the potentially impacted area. In addition, LEC will send automated calls to members to be prepared for the POTENTIAL of a system-wide outage.

The Length of the possible outage would be based on fire conditions and damage assessments.

If an extended outage is anticipated, LCEMA will work to coordinate sheltering and support to critical facilities.

Both Lincoln Electric and BPA have NO plans to de-energize any of their facilities, UNLESS they receive a specific request to do so by incident command in the interest of safety.

Action: Evacuation Warning (Yellow) begins when there is a possibility of a need to evacuate. During this phase, contacts and briefings with area residents is completed. Movement of persons requiring Access and Functional Needs or extraordinary care, large mobile property and livestock (if feasible) is recommended.

Be prepared for the POTENTIAL of an area power outage.

Sign up for CodeRED to get immediate emergency information notification: https://public.coderedweb.com/CNE/en-US/BFD8675274C8

LCEMA is working with the USFS, IMT, partners and monitoring this situation. updated information will go out as it becomes available. Check back by going to https://www.facebook.com/LC.EMA.MT

Lincoln Electric Cooperative

https://www.facebook.com/lincolnelectriccooperative

U.S. Forest Service - Kootenai National Forest

https://www.facebook.com/kootenainf

A closure order is still in effect for roads in the vicinity of the East Fork Fire. To view, please visit https://www.fs.usda.gov/alerts/kootenai/alerts-notices/

For updated East Fork Fire information, please visit

https://inciweb.nwcg.gov/incident.../mtknf-east-fork-fire...

UPDATE Aug. 17, 8 PM:

East Fork Fire

Due to hot, dry, and windy conditions the fire has grown to 2,600 acres overnight and throughout the day.

Pre-evacuation orders have been set in place because of the possibility the fire has of spreading, this order allows time for residents to make plans for their homes, family, livestock, and pets in the event of an evacuation.

The pre-evacuation area includes Highway 93 north beginning at Mile Marker 142 north to Flathead/Lincoln County line. Crossroads and affected addresses can be found on the Flathead County Website.

This is not a mandatory evacuation order but in the event of a mandatory evacuation, local Sheriff's Office personnel will conduct door-to-door notifications of residents in the affected area.

Evacuation notices will also be announced/published on radio, tv, online, social media, and through our Emergency Notification System, Code Red.

UPDATE, AUG. 17:

A CSKT Type 3 Incident Management Team, headed by Rob Berney, has taken command of the Niarada and Mill Pocket fires as the Northern Rockies team has timed out.

On the Big Knife Fire, Brad Bergman’s Incident Management Team 8 assumed command.

Big Knife Fire - 6,275 acres, 7% contained

On the southwest edge of the fire, crews are assessing the fire’s progress as it moves down the slopes to control lines. Firefighters are preparing canal roads for better access and removing vegetation around power poles.

On the south end of the fire in the Agency Creek drainage, crews will patrol and monitor fire activity. With pumps and hoses in place, they will continue to work on hotspots within the perimeter. Crews will be monitoring the pumps and sprinkler systems installed to protect infrastructure on the east side of the fire as well as Jocko Lookout which has water systems in place as well as a fire-resistant wrap around the base.

Niarada Fire - 20,365 acres, 85% contained

The Niarada Fire remained relatively quiet Wednesday as crews continued to focus on building line as direct as possible along the fire’s eastern edge closest to Elmo and mopping up from previous firing operations. Crews continue to assess and patrol and mop up (cool areas containing heat) around much of the remaining fire perimeter. Suppression repair work has begun in these areas, including pulling in dozer line berms and blading roads.

Structure protection crews remain outside Elmo near Big Arm, testing sprinkler systems and pumps while working with landowners on additional vegetation management around structures.

Mill Pocket - 2,135 acres, 90% contained

The majority of the Mill Pocket Fire is in mop-up status as crews work to ensure the fire’s edge are cool and pose little to no threat to containment.

UPDATE, AUG. 16:

Fire activity greatly increased in the Big Knife Fire Tuesday, whereas, the Niarada and Mill Pocket fires remained relatively quiet.

Big Knife Fire

The Big Knife Fire is sized at approximately 6,106 acres, 1,154-acre increase from Monday, and is 7% contained.

The fire moved east up to the drainage toward the Tribal Primitive Area and away from Jocko, Francis and Arlee.

According to CSKT Division of Fire's Facebook post, the persisting hot and dry weather with increased winds is expected to produce more smoke and fire growth Wednesday.

Crews are monitoring the fire's progress as it shifts down to the control lines near the southwest edge, according to CSKT Division of Fire's Facebook post.

Firefighters are getting canal roads ready to improve access and clearing out vegetation around power poles.

The Craig Angency Hotshot Crew went direct along the fire's edge on the south side of the fire in the Agency Creek drainage. They will keep working up canyone and tie into scree slopes with pumps and hose set up.

There are pumps and sprinkler systems to protect infrastructure east of the fire and at Jocko Lookout--which also has fire-resistant wrap around the base.

Niarada Fire

The Niarada Fire is burning 20,370 acres and is 81% contained as of Wednesday morning.

Fire activity kept fairly quiet Tuesday--crews were still building a line as direct as possible to the fire's eastern edge nearest to Elmo.

The smoke increase is likely interior pockets of vegetation burn out due to increased temperatures and drier weather, according to CSKT Division of Fire's Facebook post.

Crews are still assessing, patrolling and mopping up the remaining fire perimeter. Crews have started suppression repair work in these areas.

There are still structure protection crews outside Elmo near Big Arm.

Mill Pocket Fire

The Mill Pocket Fire is burning 2,135 acres and is 89% contained.

The Mill Pocket Fire is still in mop-up status, and crews are working to make sure the fire's edge stays cool and no danger to containment.

CSKT Division of Fire's Facebook post said there is still some heat in steep scree slopes on the northwestern side--firefighters are still putting out hotspots by dropping water via helicopter where necessary.

CSKT Division of Fire says the following in its Facebook post in regard to closures, evacuation statuses and fire restrictions:

"Several areas near the base of the mountains west of the Big Knife Fire remain in PRE-EVACUATION WARNING by order of the Lake County Sheriff. See the map for those locations in yellow (Jocko, Canal, Francis). In the Tribal Primitive Area, Belmore Slough and Burnt Cabin Roads are closed.

Near the Niarada Fire, the Lake County Sheriff’s Office has a PRE-EVACUATION WARNING in place for the area that includes Alexander Road, Early Dawn Road, Spring Lane Road, Walking Horse Lane, Windward Heights Road, Wildhorse View, Buffalo Bridge Road, Saddle Drive, Island Butte Lane, Bridle Path, Ten Deuce Way, Cliffview Drive, and Ricketts Road. The remainder of the town of Elmo is in READY status.

A PRE-EVACUATION WARNING means you may be in your home. However, as there still is a risk from both fires, those in this status should not bring back evacuated livestock until the area is downgraded to READY status.

A temporary flight restriction (TFR) is in effect around both fire areas. Do not fly unmanned aircraft (drones) near the fire areas, as that is hazardous for pilots, and the firefighters on the ground who rely on aircraft support. Remember, if you fly, we can’t!

Stage 2 fire restrictions are in place across the Flathead Indian Reservation. No campfires are allowed, no smoking outside of vehicles, no operating combustible engines from 1 p.m. to 1 a.m., no operating vehicles off designated roads and trails. Residents and visitors are encouraged to visit www.MTFireInfo.org for more fire information across Montana."

UPDATE, AUG. 15:

Fire crews are continuing to battle the Big Knife, Niarada and Mill Pocket fires in northwest Montana Tuesday.

A release from Northern Rockies Team 3 said the Big Knife fire, located 5 miles east of Arlee, is 4,952 acres large and 7% contained Tuesday.

The Niarada Fire, located near Elmo, located 12 miles west of Elmo, is 20,365 acres large and 81% contained Friday.

The Mill Pocket Fire, located 3 miles west of Highway 28, is 2,135 acres large and 89% contained.

Big Knife Fire

Big Knife fire activity grew amid increasing temperatures and lower humidity levels.

Helicopters used water to check the fire's edge on the north side in the Gold Creek drainage.

Crews will keep requesting aircraft for water drops, reconnaissance flights and sling loads.

Crews are monitoring fire progress on the southwest if it moves down the slopes to control lines. To improve egress, crews are preparing canal roads and clearing vegetation near power poles.

The Craig Mountain Interagency Hotshot Crew (CMIHC) started to finish hazard tree mitigation and looked for opportunities to go direct on the south end of the fire in the Agency Creek drainage, according to the release from Northern Rockies Team 3.

CMIHC set up pumps and hoses to several key scree slopes and will keep working the fire's edge.

Sprinkler systems and pumps are set up around several spots of infrastructure and the Jocko lookout east of the fire--the lookout is covered in fire-resistant wrap.

Niarada Fire

Smoke is expected to increase as interior pockets of vegetation burnout due to increasing temperatures and drier weather.

Northern Rockies Team 3 said in the release strategic firing operations were effective for the Niarada fire Monday--firefighters burned approximately 50 acres to establish indirect lines on the south side.

Although the firing operations create a considerable amount of smoke, they cut the longevity of the fire and reduce long-term damaging impacts, according to the release.

Crews are still assessing, patroling and mopping up a lot of the remaining fire perimeter.

Structure protection crews are testing sprinkler systems and pumps and collaborating with property owners on further vegetation management around structures outside Elmo toward Big Arm.

Mill Pocket Fire

On the Mill Pocket fire, a lot of the perimeter that's still there is in mop-up and patrol status.

There's still seat in steep scree slopes, and firefighters are still cooling hotspots with water drops on the northwestern side.

An excavator is pulling in dozer lines to help with suppression repair, and the equipment is used to overturn bigger stumps to reduce remaining heat.

UPDATE, AUG. 14:

The following is a Facebook post by CSKT Division of Fire in regard to the Niarada Fire:

"Fire personnel will be using tactical firing operations on the southeast corner of the Niarada Fire this afternoon. The objective of this operation is to clean up unburned fuels between the fire perimeter and containment lines. Removing available fuel reduces the chances of a wind driven fire crossing existing containment lines.

Tactical firing operations or ‘burn outs’ are one tool often implemented in the suppression of a wildfire. This technique is the coordinated and intentional application of fire to secure otherwise inaccessible portions of line, clean up portions of line where fuels were not fully consumed or attempt to steer the main fire away from communities, critical infrastructure or other values at risk. Managers implement firing only after opportunities for a more direct approach have been thoroughly explored.

Before any firing operations are conducted, there are extensive preparations made to ensure the greatest possibility for success such as brushing back roads, building handline or mechanical line or ensuring natural features such as rivers, creeks or rock screes are sufficient to secure the fire’s edge.

After all prep work is completed and personnel are in place, firefighters will only engage in firing operations if weather conditions are in their favor.

While these operations can put substantial smoke in the air, they ultimately reduce the duration of the fire and long-term harmful impacts. Firing operations result in low to moderate intensity fire effects and often mimic the positive impact of natural fire on the landscape."

UPDATE, AUG. 13:

Fire managers with the Incident Management Team, BIA, and CSKT are having extensive conversations about long-term planning for the Big Knife Fire.

The CSKT Division of Fire reports the weather is getting hotter and drier, which will increase fire activity.

Discussions include balancing protecting homes, infrastructure, and cultural resources, with the risk to firefighters and the likelihood of success.

The following is information on the actions made against the Big Knife Fire from the CSKT Division of Fire:

Helicopters have been doing water drops to minimize the fire's spread into Gold Creek on the northern perimeter. Crews have completed a fuel break along the Jocko Canyon Road and line preparation and vegetation reduction along the Jocko S Canal Road. Equipment operators and crews finished control lines along the fire's southwestern edge to Agency Creek. Firefighters are monitoring the fire in these areas and are prepared to act if the fire moves down toward the lines.

On the south side, firefighters are working to keep the fire north of Agency Creek. Helicopters have dropped water to cool the edge, and sawyers have been cutting down hazard trees to allow safe access. Additional crews will be inserted in this area to finish hazard tree mitigation and evaluate opportunities for digging handline and going direct on the fire’s edge.

To the east of the fire, crews finished installing sprinkler systems and pumps around several pieces of infrastructure and the Jocko Lookout. The lookout has been covered with a fire-resistant wrap. Fire managers are discussing the next steps for this area, balancing the benefits of fire on the landscape, the risk to firefighters and pilots, and the values threatened.

On the Niarada Fire, crews have worked hard to reach containment around a large portion of the fire perimeter the past two weeks.

According to the CSKT Division of Fire, the following is being done:

Along the southeastern and southwestern sides, crews continue to work directly along the fire’s edge to eliminate heat and build firelines. Several Type 1 Interagency Hotshot Crews have been improving firelines and preparing for a strategic firing operation on the southwest side.

This operation will be done during favorable conditions to secure portions of the indirect line where it’s unsafe for firefighters to go direct. Fire managers planned to implement other firing operations, but those operations have been deemed unnecessary because the weather moderated fire behavior which allowed crews to go direct.

Structure protection crews continue to work outside Elmo toward Big Arm, testing sprinkler systems and pumps while working with landowners on additional vegetation management around structures.

Containment of the Mill Pocket Fire continues to increase. Much of the remaining perimeter is in mop-up and patrol status. However, heat remains in steep scree slopes on the northwestern side. Helicopters continue to drop water as needed, and crews are mopping up hot spots where they can access them.

UPDATE, AUG. 12:

Crews on the Niarada Fire are pushing hard toward containment, and much of the fire's northern and western perimeter is now in mop-up and patrol status, according to the CSKT Division of Fire.

Crews will continue progressing along the eastern and southeastern fire perimeter, building more direct lines and working off the fire's black edge.

Some indirect line will remain the only viable option around the fire's southerly perimeter, where terrain is treacherous and fuels are heavy.

An update from CSKT Division of Fire says strategic firing operations will likely be necessary during favorable conditions to secure those portions of indirect line.

Specialized crews of skilled sawyers continued cutting fire-killed snags (dead-standing trees) south of Highway 28, enabling safe access for hand crews to previously hazardous areas.

Structure protection crews continue to work outside Elmo towards Big Arm.

Due to current conditions and progress, a night shift is no longer deemed necessary, however, it could be reinstated if conditions change.

Much of the Mill Pocket Fire is in mop-up and patrol status, and helicopters are still dropping water while crews work along the fire’s northwestern perimeter near Mill Creek.

On the Big Knife Fire, a warming and drying trend resulted in smoldering fuels in lower to mid-elevations burning more actively again.

Aircraft were used to drop water on hot spots in the Agency Creek, Jocko Canyon, and Big Knife Creek drainages Friday.

Line preparation and vegetation reduction has been completed along Jocko Canyon/Canal Road.

Equipment operators and crews completed control lines along the fire's southwestern edge to Agency Creek. They will continue working southward if the fire moves in that direction, CSKT Division of Fire reports.

On the fire's eastern side, crews began performing structure and point protection measures in South Fork Jocko River.

Some measures included strategically wrapping Jocko Lookout and placing pumps and sprinklers around other resource values at risk.

A specialized assessment team continues evaluating the long-term potential fire growth of the Big Knife Fire.

UPDATE, AUG. 11:

Crews are continuing to battle the Big Knife, Niarada and Mill Pocket fires Friday burning in the Mission Valley.

Big Knife Fire

The Big Knife Fire currently sized at an estimated 4,952 acres and is 5% contained.

CSKT said in a release even with the recent precipitation, the Big Knife Fire is anticipated to warm and dry over the course of the upcoming days.

With that, fire managers are examining its possible long-term fire increase due to fire seasons historically lasting through fall.

Heavy equipment operators are still tying road prisms to constructed firelines along the southwestern perimeter.

Crews are mopping up the edge of a strategic firing operation they managed last week to keep the fire north of Agency Creek, CSKT said in the release.

Aircraft are helping as long as conditions allow them, and helicopters dropped water on hot spots in the Agency Creek drainage.

Niarada Fire

The Niarada Fire, burning west of Elmo, is currently 20,365 acres big and is 47% contained as of Friday.

CSKT said in their release fire crews battling the Niarada Fire took advantage of the recent rainfall Wednesday.

Expert sawyers are cutting down dead trees south of Highway 28 to allow hand crews to work directly along the eastern and southeaster edge where they possibly can.

Firefighters are preparing lines in locations of the Niarada Fire that may require strategic firing operations later on.

CSKT said in the release crews will begin the strategic firing operations once conditions improve.

Structure protection crews are still working outside Elmo towards Big Arm, and a night crew is monitoring the fluctuating conditions and the fire.

Crews are continuing mop-up on the north perimeter near the Cromwell Creek Road and looking at areas of unburned vegetation west of the line to decipher if it is concerning for containment.

Mill Pocket Fire

The Mill Pocket Fire, burning 3 miles west of Highway 28, is currently 2,135 acres big and is 51% contained.

CSKT said in their release the Mill Pocket Fire is in mop-up and patrol status, but crews are still battling the fire in the northwestern perimeter--mopping hot spots where they can in the steep scree slopes.

Helicopters are still providing support to crews and dropping water to put out hot spots win dangerous or inaccessible areas.

CSKT said the following in their release in regard to closures and evacuation status:

"The Lake County Sheriff has placed several areas near the base of the mountains west of the Big Knife Fire in PRE-EVACUATION status. See the map for those locations in yellow (Jocko, Canal, Francis). In the Tribal Primitive Area, Belmore Slough and Burnt Cabin Roads are closed.

The Lake County Sheriff’s Office is downgrading those in EVACUATION status near the Niarada Fire in Lake County to a PRE-EVACUATION WARNING. This area includes Alexander Road, Early Dawn Road, Spring Lane Road, Walking Horse Lane, Windward Heights Road, Wildhorse View, Buffalo Bridge Road, Saddle Drive, Island Butte Lane, Bridle Path, Ten Deuce Way, Cliffview Drive, and Ricketts Road.

A PRE-EVACUATION WARNING means you may return to your home. However, as there is still a potential threat from the Niarada Fire, please do not bring back evacuated livestock until the area is downgraded to READY status. The remainder of the town of Elmo is in READY status.

A temporary flight restriction (TFR) is in effect around both fire areas. Do not fly unmanned aircraft (drones) near the fire areas, as that is hazardous for pilots, and the firefighters on the ground who rely on aircraft support. Remember, if you fly, we can’t!

Use extreme caution when driving on Highway 28. Firefighters and equipment are still working in the area.

FIRE RESTRICTIONS

Stage 2 fire restrictions are in place across the Flathead Indian Reservation. No campfires are allowed, no smoking outside of vehicles, no operating combustible engines between 1PM-1AM, no operating vehicles off designated roads and trails. Residents and visitors are encouraged to visit www.MTFireInfo.org for more fire information across Montana."

UPDATE, AUG. 9:

A community meeting is being held Wednesday night at the Elmo Community Center starting at 6:00 pm for the Big Knife, Niarada and Mill Pocket fires.

If you can’t make it, the meeting will be live-streamed via the CSKT Division of Fire Facebook page.

Another meeting will also be held Thursday, Aug. 10 at the Arlee Community Center at 6:00 pm.

As of Wednesday, the Northern Rockies Team 3 reports the Big Knife Fire is 4,864 acres large and 5% contained; the Niarada Fire is 20,365 acres large and 25% contained; and the Mill Pocket fire is 2,135 acres large and 51% contained.

So far, four structures have been lost to these fires.

several areas near the base of the mountains west of the Big Knife Fire in pre-evacuation status by the Lake County Sheriff’s Office.

Those evacuated due to the Niarada Fire in Lake County have been allowed to go home and are now in pre-evacuation warning status. This area includes Alexander Road, Early Dawn Road, Spring Lane Road, Walking Horse Lane, Windward Heights Road, Wildhorse View, Buffalo Bridge Road, Saddle Drive, Island Butte Lane, Bridle Path, Ten Deuce Way, Cliffview Drive, and Ricketts Road.

UPDATE, AUG. 7

The Flathead County Sheriff's Office has announced they are lifting the evacuation notice on the Niarada Fire from Browns Meadow Pass to Highway 28; this includes Kofford Ridge Road and Battle Butte Road.

They also said in a press release they are lifting the pre-evacuation warning for Mill Pocket Fire, Hubbart Damn Rd/NF-544 from the intersection of Crossover Road South to Highway 28.

Keep in mind,t he decisions to lift or expand evacuation areas is made based on current or predicted fire conditions.

Flathead CSO says they are thankful for the cooler weather and higher humidity this past weekend to help with fighting the fire.

UPDATE, AUG. 6:

The Lake County Facebook reports the Red Cross at Polson High School is moving into standby at this time.

Evacuations are still in place at this time.

UPDATE, AUG. 6:

The 12,700-acre Middle Ridge fire is now 51% contained as of Sunday morning.

CSKT Division of Fire reports smoke may be visible interior of the fire containment line where the fire is still smoldering.

The Holmes Creek Fire is 45 acres large and 0% contained.

The Mercer Fire, which was burning about a mile and a half from Evaro, is 2 acres large and 100% contained.

People are being reminded of Stage 2 Fire restrictions in place across the Flathead Indian Reservation, which restricts campfires, smoking outside of vehicles, operating combustible engines between 1:00 pm and 1:00 am and operating vehicles off designated roads.

UPDATE, AUG. 5

The CSKT Division of Fire reports the Niarada Fire was extremely active Friday on the south and southeast sides. It is reported to be 17,024 acres large.

About 150 residents were evacuated due to the fire by the Lake County Sheriff's Office.

In the Tribal Primitive Area, Belmore Slough and Burnt Cabin Roads are closed.

The following residences near the Niarada are under evacuation status:

Alexander RoadEarly Dawn Road, Spring Lane Road, Walking Horse Lane, Windward Heights Road, Wildhorse View, Buffalo Bridge Road, Saddle Drive, Island Butte Lane, Bridle Path, Ten Deuce Way, Cliffview Drive, and Ricketts Road.

The remainder of the town of Elmo is in ready status.

The Flathead County Sheriff’s Office has issued a pre-evacuation warning for Hubbart Dam Rd/NF-544 from the intersection of Crossover Rd South to Hwy 28.

Crews working the Big Knife Fire continue to try to flank the fire, implement structure protection measures along Canal Road and the fire’s western edge, and monitor the southwest edge.

The Big Knife Fire is 4,636 acres large according to the CSKT Division of Fire.

Several areas near the base of the mountains west of the Big Knife Fire are in pre-evacuation status as of Saturday.

In the Tribal Primitive Area, Belmore Slough and Burnt Cabin Roads are closed.

UPDATE, AUG. 4

The Lake County Sheriff’s Office is evacuating residents south of Highway 93 from Alexander Lane to Walking Horse Lane.

This includes the following roads:

Alexander Lane

Early Dawn Road

Spring Lane Road

Walking Horse Lane

Windward Heights Road

Wildhorse View

Buffalo Bridge Road

Saddle Drive

Island Butte Lane

Bridle Path

Ten Deuce Way

Cliffview Drive

Ricketts Road

If you were evacuated due to the fire, Red Cross has opened a shelter in Polson.

The shelter is located at the Polson High School, 1712 2nd St. W, and will provide a safe place to stay, meals, and access to community resources.

UPDATE, AUG. 4:

More accurate mapping has the Middle Ridge Fire sized at 12,700 acres and 25% containment Friday morning.

The Communication Butte Fire is 1,423 acres and is now 100% contained with crews continuing to monitor the area.

No containment is reported on the Holmes Creek Fire east of Polson, which is estimated at 41 acres large.

Smoke jumpers and heli-repellers are working the fire with air support from a type 1 helicopter dropping water with buckets.

The CSKT Division of Fire reports fire resources from the CSKT division have been successfully responding to new fires as well as continued mop-up along the Middle Ridge and Communication Butte fires.

UPDATE, AUG. 4:

The Niarada and Big Knife fires increased in size overnight Thursday.

The Niarada Fire is an estimated 14,816 acres with 0% containment Friday morning.

The Big Knife Fire is an estimated 4,412 acres with 0% containment Friday morning.

UPDATE, AUG. 3:

A community meeting regarding the Big Knife, Niarada, and Mill Pocket fires is being held Thursday at 6:00 pm in Arlee at the Arlee Community Center, 34086 Pow Wow Rd.

If you can’t make the meeting, it will be broadcast live on the CSKT Division of Fire Facebook.

A second meeting will also be held on Friday, Aug. 4 at 6:00 pm in Elmo at the Elmo Community Center, 47088 Cemetery Rd.

Depending on internet connectivity, the meeting will either be streamed live like the Arlee meeting, or recorded and posted to Facebook afterwards.

As of Thursday morning, the Big Knife Fire is 2,710 acres large and 0% contained.

The CSKT Division of Fire reports the fire was active Wednesday ,with a spot fire south of Big Knife Creek burning eastward into the South Fork Jocko Tribal Primitive Areas.

Strategic firing operations may be necessary to prevent spread to the west toward the valley and aircraft are helping crews as conditions allow.

The Niarada Fire is reported to be 10,400 acres large and is 0% contained.

This fire was also reported to be active Wednesday, spreading both to the northeast and southeast.

Crews, heavy equipment, engines, helicopters and fixed-wing aircraft continue to work the fire, building firelines from safe anchor points and protecting structures in the area.

Weather is anticipated to be hot and dry through Friday ,with the potential for thunderstorms and light precipitation by late weekend.

The CSKT Division of Fire shared the following closure information:

The Lake County Sheriff has several areas near the base of the mountains west of the Big Knife Fire in pre-evacuation status.

In the Tribal Primitive Area, Belmore Slough and Burnt Cabin Roads are closed. Near the Niarada Fire, the Lake County Sheriff has placed the Walking Horse Lane area is in pre-evacuation status, and the town of Elmo is in ready status.

The Flathead County Sheriff’s Office has issued a pre-evacuation warning for Hubbart Dam Rd/NF-544 from the intersection of Crossover Rd South to Hwy 28.

A mandatory evacuation remains in place from the top of the Pass on Brown’s Meadow Road South to Hwy 28, Nirada. This mandatory evacuation also includes Kofford Ridge Rd.

Use extreme caution when driving on Highway 28. Visibility is very poor, and the speed limit has been reduced to 45 miles-per-hour.

UPDATE, AUG. 2:

The CSKT Division of Fire shared that favorable weather conditions and terrain have allowed for firefighters to make great progress across the Communication Butte and Middle Ridge fires.

Both fires have a secured line around them.

The Middle Ridge Fire is estimated at 13,000 acres, 20% containment.

After making a hard push Tuesday, firefighters were able to hold the fire at Tower Rd., and crews have been working to secure line around the fire using dozers and firing operations for the past several evenings, to create containment.

Mop-up on the Middle Ridge Fire will begin Wednesday, with crews putting out any hot spots along the entire fire line.

The Communication Butte Fire is estimated at 1,423 acres, 30% containment.

Crews made progress putting in a containment line.

Mop-up will begin along the entire fire line, starting on the east and west side of the river, 10 to 30 feet interior, firefighters will put out any hot-spots within the secure line. Six engines and staff are assigned to the fire and will also be available if any new starts occur.

On the Holmes Creek Fire, no containment is reported and the fire is estimated to be 36 acres.

Single-engine air tankers were used to drop water on it throughout Tuesday.

Stage 2 fire restrictions are in place across the Flathead Indian Reservation.

No campfires are allowed, no smoking outside of vehicles, no operating combustible engines between 1:00 pm to 1:00 am, no operating vehicles off designated roads and trails

UPDATE, AUG 2:

The Big Knife Fire is burning 2,000 acres with containment remaining at 0% Wednesday morning.

Evacuation warning is in place for those who live in Jacko Canyon and other nearby areas.

For the more updated information on wildfires in Montana, visit mtfireinfo.org.

The following is a Facebook post by CSKT Division of Fire:

More crews and equipment have arrived on the reservation in support of fire suppression efforts and more. Many of the fires have seen extreme growth with the low fuels moisture and high temperatures. A Complex Incident Management Team will arrive tonight to take command of multiple fires, bringing more support staff for the increase in fire resources arriving. Mapping of the fires has been postponed because of limited visibility from smoke.

Fire restrictions are in place with no campfires allowed within the boundaries of the reservation.

#NiaradaFire – Eleven miles west of Elmo, MT, estimated to be over 5,000 acres. Smokejumpers, a 20 person crew, single-engine air tankers, helicopters and heavy equipment have been responding to this fire. The fire is burning in very steep and rugged terrain heading north and east. Winds coming from the west/southwest continue to push the fire north/northeast. The fire had four single-engine air tankers, very large air tanker, five large air tankers, supporting ground resources all day.

#BigKnifeFire - East of Arlee, MT, 1,991 acres. Over 100 fire fighters and overhead have made progress on a containment line on the western edge. This line is holding well. A Complex Incident Management Team will assume command of this fire Aug. 2.

#MiddleRidgeFire - Southwest of Sloan’s Bridge, estimated over 10,970 acres. Fire fighters and heavy equipment with limited air support have managed to put in containment line and secure the south end of the fire in the area of Little Bitteroot Road. The north end of the fire is the most active and the priority focus today.

#CommunicationButteFire - North of Dixon, Mont. in Ferry Basin, approximately 1,500 acres. The fire is burning in grass and timber, crews have made a lot of progress putting in containment lines today. The terrain is very steep and difficult to access. It did jump the Flathead River last night. Some air support.

#MillPocketFire – West of Niarada, 600 acres. Dozers are assigned and it has been receiving air support. The fire is progressing east and has moved to the canal.

Evacuation Information

Currently there are NO new evacuations, evacuations in Moiese community have been lifted, Browns Meadows in Flathead County is still under evacuation orders. The public is encouraged to be prepared if they are asked to leave by emergency responders.

Fire Restrictions – No campfires are allowed, no smoking outside of vehicles, no operating combustible engines between 1pm-1am, no operating vehicles off designated roads and trails.

Re-Opened

The Bison Range is open with regular operating hours.

Highway 28 is open with speed restrictions. Advising the public to be prepared for potential stops and long wait times.

UPDATE: Monday at 1:22 p.m.

Firefighters are continuing to battle the multiple fires in the Mission Valley area Monday.

Communication Butte Fire

The Communication Butte Fire is burning an estimated 400 acres north of Dixon in Ferry Basin.

CSKT Division of Fire said in a Facebook post the terrain is very steep and hard to access.

Firefighters and aircraft will resume examining and engaging the fire where they can safely, CSKT Division of Fire said.

Niarada Fire

The Niarada Fire is now sized at 5,000 acres west of Elmo.

The Niarada Fire crossed Highway 28 Sunday and largely drifted northeast.

Fire crews and equipment are working on the fire with air support, weather dependent, CSKT said via Facebook.

Middlge Ridge Fire

The Middlge Ridge Fire, located west of Sloan’s bridge and Ronan, is burning an estimated 7,000 acres, according to CSKT's Facebook post.

Big Knife Fire

The Big Knife Fire, located east of Arlee, was showing severe fire behavior Sunday night, according to CSKT's Facebook post.

The Big Knife Fire is burning an estimated 3,000 acres.

CSKT Division of Fire said crews are centering their attention on securing the line on the west edge of the fire near homes and are making good progress.

Mill Pocket Fire

The Mill Pocket Fire, located west of the Niarada Fire, is burning an estimated 100 acres.

UPDATE AT 5:00 PM:

The CSKT Division of Fire announced that due to the Communication Butte Fire, the Bison Range is temporarily closed.

As of Sunday afternoon, the fire is about 255 acres and is being driven toward the Flathead River by wind.

The Middle Ridge Fire southwest of Sloan’s Bridge is over 500 acres as of Sunday morning.

The Niarada Fire crossed the highway Sunday afternoon and is estimated at about 200 acres.

RONAN, Mont. - Multiple fires were ignited following a lightning storm that passed through Mission Valley and surrounding areas Sunday morning.

The biggest fire, named Middle Ridge, is about 500 acres large and two air tankers are responding with six water tenders and six skidgens.

North of Dixon in Ferry Basin, the Communication Butte fire is about 100 acres large and is burning in grass and timber with a 20 person crew responding.

The Niarada Fire is 11 miles west of Elmo and is about five acres large. Four single-engine air tankers, one helicopter for air support, three fire boss single-engine air tankers and eight smoke jumpers are responding.

All three fires are burning in steep terrain.

As of Sunday morning no structures are threatened and no evacuations have been ordered.

People who are in the area are advised to be aware of emergency vehicles on roads as well as very dry grasses.